summaryrefslogtreecommitdiff
path: root/docs/check.docs
diff options
context:
space:
mode:
authorBehdad Esfahbod <behdad@gnome.org>2006-12-07 03:40:54 +0000
committerBehdad Esfahbod <behdad@src.gnome.org>2006-12-07 03:40:54 +0000
commitd6956a1ad956ad4f5322059fff7baac70ea3c039 (patch)
treea2fc3a3c05e4753f4ad73893a840ffaa41a4e498 /docs/check.docs
parent5b6f118ba4b87c2d9ba834620b11c3f44119dce1 (diff)
downloadpango-d6956a1ad956ad4f5322059fff7baac70ea3c039.tar.gz
New generated public header file pango-features.h. Currently contains the
2006-12-06 Behdad Esfahbod <behdad@gnome.org> * configure.in: * pango/Makefile.am: New generated public header file pango-features.h. Currently contains the version information. In the future, can be expanded to define which backends have been enabled, etc. * pango/pango.def: * pango/pango-utils.h: * pango/pango-utils.c: New public macros and functions: PANGO_VERSION_ENCODE(), PANGO_VERSION_MAJOR, PANGO_VERSION_MINOR, PANGO_VERSION_MICRO, PANGO_VERSION, PANGO_VERSION_STRING, PANGO_VERSION_CHECK(), pango_version(), pango_version_string(), pango_version_check(). * docs/pango-docs.sgml: * docs/pango-sections.txt: * docs/tmpl/pango-version.sgml: Docs for new symbols, in a new section. * examples/renderdemo.c (show_version): If run-time Pango lib version is different than the compile-time one, show that one too. * pango/pango.h: #include <pango-utils.h> as well as almost all other public pango-*.h headers (though, the other ones were already included indirectly). The only public pango-*.h header pango.h shouldn't include are pango-ot.h (which is really misnamed) and pango-modules.h (that should not be needed by 99.99% users anyway). * docs/Makefile.am: * docs/check.docs: Test to check that all symbols are documented and properly hooked into documentation tree. * pango/pango.rc.in: * pango/pangoft2.rc.in: * pango/pangowin32.rc.in: Update, reflecting some internal symbol changes. * pango/check.defs: Improve.
Diffstat (limited to 'docs/check.docs')
-rwxr-xr-xdocs/check.docs29
1 files changed, 29 insertions, 0 deletions
diff --git a/docs/check.docs b/docs/check.docs
new file mode 100755
index 00000000..6703691f
--- /dev/null
+++ b/docs/check.docs
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+LANG=C
+
+test -z "$srcdir" && srcdir=.
+status=0
+
+if ! test -f pango-undocumented.txt -a -f pango-unused.txt; then
+ echo At least one of pango-undocumented.txt and pango-unused.txt not found.
+ echo Skipping test.
+ exit 0
+fi
+
+status=0
+
+unused=`cat pango-unused.txt`
+if test -n "$unused"; then
+ echo Unused documentated symbols:
+ cat pango-unused.txt
+ status=1
+fi
+if ! grep '^0 symbols incomplete' pango-undocumented.txt >/dev/null ||
+ ! grep '^0 not documented' pango-undocumented.txt >/dev/null; then
+ echo Incomplete or undocumented symbols:
+ cat pango-unused.txt
+ status=1
+fi
+
+exit $status